//================================================
/*

Turn Off the Lights
The entire page will be fading to dark, so you can watch the video as if you were in the cinema.
Copyright (C) 2013 Stefan vd
www.stefanvd.net

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.


To view a copy of this license, visit http://creativecommons.org/licenses/GPL/2.0/

*/
//================================================

function $(id) { return document.getElementById(id); }
var default_opacity = 80;
var default_arangeblur = 70;
var default_arangespread = 5;

// Firefox read pref
var prefManager = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);

// Option to save current value to window.localStorage
function save_options(){
	prefManager.setCharPref("extensions.TurnOfftheLights.interval", $('interval').value);
	prefManager.setCharPref("extensions.TurnOfftheLights.lightcolor", $('lightcolor').value);
	/*if($('pageaction').checked)window.localStorage['pageaction'] = true;
	else window.localStorage['pageaction'] = false;*/
	if($('autoplay').checked) prefManager.setBoolPref("extensions.TurnOfftheLights.autoplay", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.autoplay", false);
	if($('playlist').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.playlist", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.playlist", false);
	if($('flash').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.flash", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.flash", false);
	if($('head').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.head", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.head", false);
	if($('fadein').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.fadein", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.fadein", false);
	if($('fadeout').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.fadeout", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.fadeout", false);
	if($('infobar').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.infobar", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.infobar", false);
	if($('sharebutton').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.sharebutton", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.sharebutton", false);
	if($('likebutton').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.likebutton", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.likebutton", false);
	if($('readera').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.readera", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.readera", false);
	if($('readern').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.readern", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.readern", false);
	if($('shortcutlight').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.shortcutlight", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.shortcutlight", false);
	if($('eyea').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.eyea", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.eyea", false);
	if($('eyen').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.eyen", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.eyen", false);
	if($('suggestions').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.suggestions", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.suggestions", false);
	if($('videoheadline').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.videoheadline", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.videoheadline", false);
	if($('eastereggs').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.eastereggs", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.eastereggs", false);
	if($('contextmenus').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.contextmenus", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.contextmenus", false);
	if($('viewcount').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.viewcount", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.viewcount", false);
	prefManager.setCharPref("extensions.TurnOfftheLights.lightimage", $('lightimage').value);
	if($('lightimagea').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.lightimagea", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.lightimagea", false);
	if($('lightimagen').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.lightimagen", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.lightimagen", false);
	if($('eyealist').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.eyealist", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.eyealist", false);
	if($('mousespotlighto').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.mousespotlighto", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.mousespotlighto", false);
	if($('mousespotlighta').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.mousespotlighta", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.mousespotlighta", false);
	if($('mousespotlightc').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.mousespotlightc", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.mousespotlightc", false);
	if($('nighttime').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.nighttime", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.nighttime", false);
	prefManager.setCharPref("extensions.TurnOfftheLights.begintime", $('begintime').value);
	prefManager.setCharPref("extensions.TurnOfftheLights.endtime", $('endtime').value);
	if($('addvideobutton').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.addvideobutton", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.addvideobutton", false);
	if($('likebar').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.likebar", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.likebar", false);
	if($('ambilight').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.ambilight", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.ambilight", false);
	prefManager.setCharPref("extensions.TurnOfftheLights.ambilightrangeblurradius", $('ambilightrangeblurradius').value);
	prefManager.setCharPref("extensions.TurnOfftheLights.ambilightrangespreadradius", $('ambilightrangespreadradius').value);
	if($('mousespotlightt').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.mousespotlightt", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.mousespotlightt", false);
	if($('ambilightfixcolor').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.ambilightfixcolor", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.ambilightfixcolor", false);
	if($('ambilightvarcolor').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.ambilightvarcolor", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.ambilightvarcolor", false);
	prefManager.setCharPref("extensions.TurnOfftheLights.ambilightcolorhex", $('ambilightcolorhex').value);
	if($('ambilight4color').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.ambilight4color", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.ambilight4color", false);
	prefManager.setCharPref("extensions.TurnOfftheLights.ambilight1colorhex", $('ambilight1colorhex').value);
	prefManager.setCharPref("extensions.TurnOfftheLights.ambilight2colorhex", $('ambilight2colorhex').value);
	prefManager.setCharPref("extensions.TurnOfftheLights.ambilight3colorhex", $('ambilight3colorhex').value);
	prefManager.setCharPref("extensions.TurnOfftheLights.ambilight4colorhex", $('ambilight4colorhex').value);
	if($('password').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.password", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.password", false);

	// Save password in the Login Manager
	/*var hostname = "chrome://TurnOfftheLights";
	var formSubmitURL = "chrome://TurnOfftheLights";
	var httprealm = 'Turn Off the Lights login';
	var username = 'user';
	var password = $('enterpassword').value;
  
	try {
		var nsLoginInfo = new Components.Constructor("@mozilla.org/login-manager/loginInfo;1", Components.interfaces.nsILoginInfo, "init"); 
		var loginInfo = new nsLoginInfo(hostname, formSubmitURL, httprealm, username, password, "", "");
		// find old login 
		var loginManager = Components.classes["@mozilla.org/login-manager;1"].getService(Components.interfaces.nsILoginManager);
		var logins = loginManager.findLogins({}, hostname, formSubmitURL, httprealm);
		if (logins.length > 0) {
		loginManager.removeLogin(logins[0]); // delete it
		}
		// add new login
		loginManager.addLogin(loginInfo);
	}
	catch(ex) {*/
	// use the old way
	prefManager.setCharPref("extensions.TurnOfftheLights.enterpassword", $('enterpassword').value); // old
	//}
	
	if($('ecosaver').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.ecosaver", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.ecosaver", false);
	prefManager.setCharPref("extensions.TurnOfftheLights.ecosavertime", $('ecosavertime').value);	
	if($('dynamic').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.dynamic", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.dynamic", false);
	if($('dynamic1').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.dynamic1", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.dynamic1", false);	
	if($('dynamic2').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.dynamic2", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.dynamic2", false);
	if($('dynamic3').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.dynamic3", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.dynamic3", false);	
	if($('dynamic4').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.dynamic4", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.dynamic4", false);		
	if($('dynamic5').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.dynamic5", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.dynamic5", false);
	if($('noflash').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.noflash", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.noflash", false);
	if($('hardflash').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.hardflash", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.hardflash", false);
	if($('hoveroptiondyn5').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.hoveroptiondyn5", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.hoveroptiondyn5", false);
	if($('autoplayonly').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.autoplayonly", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.autoplayonly", false);	
	if($('blur').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.blur", true);	
	else prefManager.setBoolPref("extensions.TurnOfftheLights.blur", false);	
	var ytselq = document.getElementById("youtubequality");
	prefManager.setCharPref("extensions.TurnOfftheLights.maxquality", ytselq.options[ytselq.selectedIndex].value);
	if($('autowidthyoutube').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.autowidthyoutube", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.autowidthyoutube", false);
	if($('customqualityyoutube').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.customqualityyoutube", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.customqualityyoutube", false);
	if($('cinemaontop').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.cinemaontop", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.cinemaontop", false);
	if($('alllightsoff').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.alllightsoff", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.alllightsoff", false);
	if($('enablesync').checked)prefManager.setBoolPref("extensions.TurnOfftheLights.enablesync", true);
	else prefManager.setBoolPref("extensions.TurnOfftheLights.enablesync", false);
	
// Excluded domains
var excludedDomainsBox = $("excludedDomainsBox");
var excludedDomains = {};
for (var i = 0; i < excludedDomainsBox.length; i++)
	excludedDomains[excludedDomainsBox.options[i].value] = true;
	prefManager.setCharPref("extensions.TurnOfftheLights.excludedDomains", JSON.stringify(excludedDomains));
	
// autoplay Excluded domains
var autoplayDomainsBox = $("autoplayDomainsBox");
var autoplayDomains = {};
for (var i = 0; i < autoplayDomainsBox.length; i++)
	autoplayDomains[autoplayDomainsBox.options[i].value] = true;
	prefManager.setCharPref("extensions.TurnOfftheLights.autoplayDomains", JSON.stringify(autoplayDomains));
}

// Option to read current value from window.localStorage
// nothing must be set here
// firefox read it from the pref.js file


function read_options(){
	if(prefManager.getCharPref("extensions.TurnOfftheLights.interval")){$('interval').value = prefManager.getCharPref("extensions.TurnOfftheLights.interval");$('slider').value = prefManager.getCharPref("extensions.TurnOfftheLights.interval");} // fix firefox
	else $('interval').value = 80;
	if(prefManager.getCharPref("extensions.TurnOfftheLights.lightcolor")){$('lightcolor').value = prefManager.getCharPref("extensions.TurnOfftheLights.lightcolor");}
	else {$('lightcolor').value = '000000';}
	if(prefManager.getCharPref("extensions.TurnOfftheLights.lightimage")){$('lightimage').value = prefManager.getCharPref("extensions.TurnOfftheLights.lightimage");}
	else {$('lightimage').value = "http://turnoffthelights.googlecode.com/files/theater.jpg";}
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.lightimagea") == true){$('lightimagea').checked = true;$('example1').style.background = 'url(' + $('lightimage').value + ')';$('example1').style.backgroundSize = "100% 100%";$('example2').style.background = 'url(' + $('lightimage').value + ')';$('example2').style.backgroundSize = "100% 100%";$('mousespotlighta').disabled = true;$('mousespotlightc').disabled = true;}
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.lightimagen") == true){$('lightimagen').checked = true;$('example1').style.background = '#' + $('lightcolor').value;$('example2').style.background = '#' + $('lightcolor').value;$('mousespotlighta').disabled = false;$('mousespotlightc').disabled = false;}
	/*if(prefManager.getBoolPref("extensions.TurnOfftheLights.pageaction") == true)$('pageaction').checked = true;*/
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.autoplay") == true){$('autoplay').checked = true;$('eyen').checked = true;$('excludedDomainsBox').disabled = true;$('websiteurl').disabled = true;}
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.playlist") == true)$('playlist').checked = true;
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.flash") == true)$('flash').checked = true;
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.head") == true)$('head').checked = true;
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.fadein") == true)$('fadein').checked = true;
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.fadeout") == true)$('fadeout').checked = true;
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.infobar") == true)$('infobar').checked = true;
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.sharebutton") == true)$('sharebutton').checked = true;
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.likebutton") == true)$('likebutton').checked = true;
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.readera") == true)$('readera').checked = true;
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.readern") == true)$('readern').checked = true;
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.shortcutlight") == true)$('shortcutlight').checked = true;
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.eyea") == true){$('eyea').checked = true;$('excludedDomainsBox').disabled = true;$('websiteurl').disabled = true;$('autoplay').checked = false;$('autoplay').disabled = true;$('addbutton').disabled = true;$('removebutton').disabled = true;$('nighttime').disabled = false;$('begintime').disabled = false;$('endtime').disabled = false;$('confirmtime').disabled = false;$('helpautoplay').style.display = "";$('helpeyeprotection').style.display = "";$('ecosaver').disabled = false;$('ecosavertime').disabled = false;$('confirmtimesaver').disabled = false;}
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.eyen") == true){$('eyen').checked = true;$('excludedDomainsBox').disabled = true;$('websiteurl').disabled = true;$('autoplay').disabled = false;$('addbutton').disabled = true;$('removebutton').disabled = true;$('nighttime').disabled = true;$('begintime').disabled = true;$('endtime').disabled = true;$('confirmtime').disabled = true;$('helpautoplay').style.display = "";$('helpeyeprotection').style.display = "";$('ecosaver').disabled = true;$('ecosavertime').disabled = true;$('confirmtimesaver').disabled = true;}
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.suggestions") == true)$('suggestions').checked = true;
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.videoheadline") == true)$('videoheadline').checked = true;
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.eastereggs") == true)$('eastereggs').checked = true;
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.contextmenus") == true)$('contextmenus').checked = true;
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.viewcount") == true)$('viewcount').checked = true;
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.eyealist") == true){$('eyealist').checked = true;$('excludedDomainsBox').disabled = false;$('websiteurl').disabled = false;$('autoplay').disabled = true;$('addbutton').disabled = false;$('removebutton').disabled = false;$('nighttime').disabled = false;$('begintime').disabled = false;$('endtime').disabled = false;$('confirmtime').disabled = false;$('helpautoplay').style.display = "";$('helpeyeprotection').style.display = "";$('ecosaver').disabled = false;$('ecosavertime').disabled = false;$('confirmtimesaver').disabled = false;}
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.mousespotlighto") == true)$('mousespotlighto').checked = true;
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.mousespotlightc") == true)$('mousespotlightc').checked = true;
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.mousespotlighta") == true)$('mousespotlighta').checked = true;
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.nighttime") == true)$('nighttime').checked = true;
	if(prefManager.getCharPref("extensions.TurnOfftheLights.begintime")){$('begintime').value = prefManager.getCharPref("extensions.TurnOfftheLights.begintime");}
	else {$('begintime').value = "21:00";}
	if(prefManager.getCharPref("extensions.TurnOfftheLights.endtime")){$('endtime').value = prefManager.getCharPref("extensions.TurnOfftheLights.endtime");}
	else {$('endtime').value = "23:45";}
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.addvideobutton") == true)$('addvideobutton').checked = true;
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.likebar") == true)$('likebar').checked = true;
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.ambilight") == true){$('ambilight').checked = true;}
	else {$('arangespread').disabled = true;$('ambilightrangespreadradius').disabled = true;$('arangeblur').disabled = true;$('ambilightrangeblurradius').disabled = true;$('ambilightfixcolor').disabled = true;$('ambilightvarcolor').disabled = true;$('ambilightcolorhex').disabled = true;$('ambilight4color').disabled = true;$('ambilight1colorhex').disabled = true;$('ambilight2colorhex').disabled = true;$('ambilight3colorhex').disabled = true;$('ambilight4colorhex').disabled = true;}
	if(prefManager.getCharPref("extensions.TurnOfftheLights.ambilightrangeblurradius")){$('ambilightrangeblurradius').value = prefManager.getCharPref("extensions.TurnOfftheLights.ambilightrangeblurradius");$('arangeblur').value = prefManager.getCharPref("extensions.TurnOfftheLights.ambilightrangeblurradius");} //fix firefox
	else $('ambilightrangeblurradius').value = 70;
	if(prefManager.getCharPref("extensions.TurnOfftheLights.ambilightrangespreadradius")){$('ambilightrangespreadradius').value = prefManager.getCharPref("extensions.TurnOfftheLights.ambilightrangespreadradius");$('arangespread').value = prefManager.getCharPref("extensions.TurnOfftheLights.ambilightrangespreadradius");} //fix firefox
	else $('ambilightrangespreadradius').value = 5;
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.mousespotlightt") == true)$('mousespotlightt').checked = true;
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.ambilightfixcolor") == true)$('ambilightfixcolor').checked = true;
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.ambilightvarcolor") == true){$('ambilightvarcolor').checked = true;$('showwarningambilight').style.display = '';}
	else{$('showwarningambilight').style.display = "none";}
	if(prefManager.getCharPref("extensions.TurnOfftheLights.ambilightcolorhex"))$('ambilightcolorhex').value = prefManager.getCharPref("extensions.TurnOfftheLights.ambilightcolorhex");
	else $('ambilightcolorhex').value = '47C2FF';
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.ambilight4color") == true)$('ambilight4color').checked = true;
	if(prefManager.getCharPref("extensions.TurnOfftheLights.ambilight1colorhex"))$('ambilight1colorhex').value = prefManager.getCharPref("extensions.TurnOfftheLights.ambilight1colorhex");
	else $('ambilight1colorhex').value = 'FF0000';
	if(prefManager.getCharPref("extensions.TurnOfftheLights.ambilight2colorhex"))$('ambilight2colorhex').value = prefManager.getCharPref("extensions.TurnOfftheLights.ambilight2colorhex");
	else $('ambilight2colorhex').value = 'FFEE00';
	if(prefManager.getCharPref("extensions.TurnOfftheLights.ambilight3colorhex"))$('ambilight3colorhex').value = prefManager.getCharPref("extensions.TurnOfftheLights.ambilight3colorhex");
	else $('ambilight3colorhex').value = '00FF00';
	if(prefManager.getCharPref("extensions.TurnOfftheLights.ambilight4colorhex"))$('ambilight4colorhex').value = prefManager.getCharPref("extensions.TurnOfftheLights.ambilight4colorhex");
	else $('ambilight4colorhex').value = '0000FF';
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.password") == true){$('password').checked = true;$('enterpassword').disabled = false;$('confirmpassword').disabled = false;}
	else {$('enterpassword').disabled = true;$('confirmpassword').disabled = true;}

	// Get password from the Login Manager
	// https://developer.mozilla.org/en/Using_nsILoginManager
	/*var hostname = "chrome://TurnOfftheLights";
	var formSubmitURL = "chrome://TurnOfftheLights";
	var httprealm = 'Turn Off the Lights login';
	var username = 'user';
	try { 
		var loginManager = Components.classes["@mozilla.org/login-manager;1"].getService(Components.interfaces.nsILoginManager);
		var logins = loginManager.findLogins({}, hostname, formSubmitURL, httprealm);
		for (var i = 0; i < logins.length; i++) {
		if (logins[i].username == username) {  
			$('enterpassword').value = logins[i].password;  
			break; 
		}  
		}
	}
	catch(ex) {*/
	if(prefManager.getCharPref("extensions.TurnOfftheLights.enterpassword"))$('enterpassword').value = prefManager.getCharPref("extensions.TurnOfftheLights.enterpassword"); // old
	//}	
	
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.noflash") == true){$('noflash').checked = true;}
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.hardflash") == true){$('hardflash').checked = true;}
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.ecosaver") == true){$('ecosaver').checked = true;}
	if(prefManager.getCharPref("extensions.TurnOfftheLights.ecosavertime"))$('ecosavertime').value = prefManager.getCharPref("extensions.TurnOfftheLights.ecosavertime");
	else $('ecosavertime').value = 60;
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.dynamic") == true)$('dynamic').checked = true;
	else $('lightdynamic').disabled = true;
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.dynamic1") == true){$('dynamic1').checked = true;$("lightdynamic").value = chrome.i18n.getMessage('desdynamicfishtank');}
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.dynamic2") == true){$('dynamic2').checked = true;$("lightdynamic").value = chrome.i18n.getMessage('desdynamicblocks');}
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.dynamic3") == true){$('dynamic3').checked = true;$("lightdynamic").value = chrome.i18n.getMessage('desdynamicraindrops');}
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.dynamic4") == true){$('dynamic4').checked = true;$("lightdynamic").value = chrome.i18n.getMessage('desdynamiccloud');}
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.dynamic5") == true){$('dynamic5').checked = true;$("lightdynamic").value = chrome.i18n.getMessage('desdynamicspace');}
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.hoveroptiondyn5") == true){$('hoveroptiondyn5').checked = true;}
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.autoplayonly") == true){$('autoplayonly').checked = true;$('autoplayDomainsBox').disabled = false;$('autoplaywebsiteurl').disabled = false;$('autoplayaddbutton').disabled = false;$('autoplayremovebutton').disabled = false;}
	else{$('autoplayonly').checked = false;$('autoplayDomainsBox').disabled = true;$('autoplaywebsiteurl').disabled = true;$('autoplayaddbutton').disabled = true;$('autoplayremovebutton').disabled = true;}
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.blur") == true){$('blur').checked = true;}
	if(prefManager.getCharPref("extensions.TurnOfftheLights.maxquality"))$('youtubequality').value = prefManager.getCharPref("extensions.TurnOfftheLights.maxquality");
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.autowidthyoutube") == true){$('autowidthyoutube').checked = true;}
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.customqualityyoutube") == true){$('customqualityyoutube').checked = true;}
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.cinemaontop") == true){$('cinemaontop').checked = true;}
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.alllightsoff") == true){$('alllightsoff').checked = true;}
	if(prefManager.getBoolPref("extensions.TurnOfftheLights.enablesync") == true){$('enablesync').checked = true;}
	
	// load tab div
	var tabListItems = $('navbar').childNodes;
	for ( var i = 0; i < tabListItems.length; i++ ) {
		if ( tabListItems[i].nodeName == 'LI' ) {
		var tabLink = getFirstChildWithTagName( tabListItems[i], 'A' );
		var id = getHash( tabLink.getAttribute('onclick') );
		tabLinks[id] = tabLink;
		contentDivs[id] = $( id );
        }
    }
  
    // Assign onclick events to the tab links, and
    // highlight the first tab
    var i = 0;
 
    for ( var id in tabLinks ) {
    	tabLinks[id].onclick = showTab;
		tabLinks[id].onfocus = function() { this.blur() };
		if ( i == 0 ) tabLinks[id].className = 'navbar-item-selected';
		i++;
    }
    
    // Hide all content divs except the first
    var i = 0;
 
    for ( var id in contentDivs ) {
    	if ( i != 0 ) contentDivs[id].className = 'page hidden';
        i++;
    }

    // display version number
    function displayVersionNumber() {
	// Firefox 4 and later; Mozilla 2 and later
	try {
    Components.utils.import("resource://gre/modules/AddonManager.jsm");
    AddonManager.getAddonByID("stefanvandamme@stefanvd.net", function(addon) {
		$("version_number").textContent = addon.version;
	})
	} catch (ex) {} // silently fail
    }
    displayVersionNumber();

// Excluded domains - sort these alphabetically
var excludedDomains = prefManager.getCharPref("extensions.TurnOfftheLights.excludedDomains");
if(typeof excludedDomains == "undefined")
excludedDomains = JSON.stringify({'http://www.nytimes.com': true, 'http://www.blogger.com': true});
		
if(typeof excludedDomains == "string") {
	excludedDomains = JSON.parse(excludedDomains);
	var buf = [];
	for(var domain in excludedDomains)
		buf.push(domain);
        buf.sort();
	for(var i = 0; i < buf.length; i++)
		appendToListBox("excludedDomainsBox", buf[i]);
    }

// ambilight play detect
	var beeld = $("beeld");
	beeld.addEventListener('play', function(){
		drawImage();
	},false);
	
// default example2 is not display
var example2 = $('example2'); // firefox fix
example2.style.opacity = 0;example2.style.display = 'none';
// default hide this buttons
var wallpapershow = $('wallpapershow'); // firefox fix
var dynamicshow = $('dynamicshow'); // firefox fix
wallpapershow.style.display = 'none';dynamicshow.style.display = 'none';

// autoplay - Excluded domains - sort these alphabetically
var autoplayDomains = prefManager.getCharPref("extensions.TurnOfftheLights.autoplayDomains");
if(typeof autoplayDomains == "undefined")
autoplayDomains = JSON.stringify({'http://www.youtube.com': true, 'http://www.vimeo.com': true});
		
if(typeof autoplayDomains == "string") {
	autoplayDomains = JSON.parse(autoplayDomains);
	var abuf = [];
	for(var domain in autoplayDomains)
		abuf.push(domain);
        abuf.sort();
	for(var i = 0; i < abuf.length; i++)
		appendToListBox("autoplayDomainsBox", abuf[i]);
    }
}

// animation browser engine
window.requestAnimFrame = function(){
    return (
        window.requestAnimationFrame       || 
        window.webkitRequestAnimationFrame || 
        window.mozRequestAnimationFrame    || 
        window.oRequestAnimationFrame      || 
        window.msRequestAnimationFrame     || 
        function(/* function */ callback){
            window.setTimeout(callback, 1000 / 60);
        }
    );
}();

// ambilight draw code
function drawImage(){
	var v = $("beeld");
	if(v.paused || v.ended){
	v.style.setProperty("box-shadow", "" , "");
	return false;
	}
	var ambilight = $('ambilight'); // firefox fix
	if(ambilight.checked == true){
    var showtime = $("beeld");
	var getblur = $('ambilightrangeblurradius').value + "px";
	var getspread = $('ambilightrangespreadradius').value + "px";
		 
	var ambilightvarcolor = $('ambilightvarcolor'); // firefox fix
	var ambilightfixcolor = $('ambilightfixcolor'); // firefox fix
	var ambilight4color = $('ambilight4color'); // firefox fix
	if(ambilightvarcolor.checked == true){
    var sourceWidth = showtime.videoWidth;
    var sourceHeight = showtime.videoHeight;
    
var totlcheckcanvas = $("totlCanvas1");
if(totlcheckcanvas){}else{
 	var totlnewcanvas = document.createElement("canvas");
	totlnewcanvas.setAttribute('id','totlCanvas1');
	totlnewcanvas.width = "4";
	totlnewcanvas.height = "1";
	totlnewcanvas.style.display = "none";
	document.body.appendChild(totlnewcanvas);
	}

var canvas = $("totlCanvas1");
var context = canvas.getContext("2d");
var colorlamp1X = (sourceWidth * 50) /100; // up midden
var colorlamp1Y = (sourceHeight * 95) /100;
var colorlamp2X = (sourceWidth * 95) /100; // right midden
var colorlamp2Y = (sourceHeight * 50) /100;
var colorlamp3X = (sourceWidth * 50) /100; // down midden
var colorlamp3Y = (sourceHeight * 5) /100;
var colorlamp4X = (sourceWidth * 5) /100; // left midden
var colorlamp4Y = (sourceHeight * 50) /100;
	
	context.drawImage(showtime, colorlamp1X, colorlamp1Y, 1, 1, 0, 0, 1, 1);
	context.drawImage(showtime, colorlamp2X, colorlamp2Y, 1, 1, 1, 0, 1, 1);
	context.drawImage(showtime, colorlamp3X, colorlamp3Y, 1, 1, 2, 0, 1, 1);
	context.drawImage(showtime, colorlamp4X, colorlamp4Y, 1, 1, 3, 0, 1, 1);
	
    var imageData = context.getImageData(0, 0, 1, 1);
    var data = imageData.data;

function rgbToHex(r, g, b) {
    if (r > 255 || g > 255 || b > 255)
        throw "Invalid color component";
    return ((r << 16) | (g << 8) | b).toString(16);
}

    var p1 = context.getImageData(0 , 0, 1, 1).data; 
    var p2 = context.getImageData(1 , 0, 1, 1).data; 
    var p3 = context.getImageData(2 , 0, 1, 1).data; 
    var p4 = context.getImageData(3 , 0, 1, 1).data; 
    var hex1 = "#" + ("000000" + rgbToHex(p1[0], p1[1], p1[2])).slice(-6);
    var hex2 = "#" + ("000000" + rgbToHex(p2[0], p2[1], p2[2])).slice(-6);
    var hex3 = "#" + ("000000" + rgbToHex(p3[0], p3[1], p3[2])).slice(-6);
    var hex4 = "#" + ("000000" + rgbToHex(p4[0], p4[1], p4[2])).slice(-6);

	v.style.setProperty("box-shadow", "0px 0px 5px black , 0px -20px " + getblur + " " + getspread + " " + hex3 + ", 0px 20px " + getblur + " " + getspread + " " + hex1 + ", 20px 0px " + getblur + " " + getspread + " " + hex2 + ", -20px 0px " + getblur + " " + getspread + " " + hex4 + "", "");
	} else if(ambilightfixcolor.checked == true){
	var fixhex = $("ambilightcolorhex").value;
	if(fixhex)fixhex = '#' + fixhex;else fixhex = '#000000';
	v.style.setProperty("box-shadow", "0px 0px 5px black , 0px -20px " + getblur + " " + getspread + " " + fixhex + ", 0px 20px " + getblur + " " + getspread + " " + fixhex + ", 20px 0px " + getblur + " " + getspread + " " + fixhex + ", -20px 0px " + getblur + " " + getspread + " " + fixhex + "", "");
	} else if(ambilight4color.checked == true){
	var fix1hex = $("ambilight1colorhex").value;
	var fix2hex = $("ambilight2colorhex").value;
	var fix3hex = $("ambilight3colorhex").value;
	var fix4hex = $("ambilight4colorhex").value;
	if(fix1hex)fix1hex = '#' + fix1hex;else fix1hex = '#000000';
	if(fix2hex)fix2hex = '#' + fix2hex;else fix2hex = '#000000';
	if(fix3hex)fix3hex = '#' + fix3hex;else fix3hex = '#000000';
	if(fix4hex)fix4hex = '#' + fix4hex;else fix4hex = '#000000';
	v.style.setProperty("box-shadow", "0px 0px 5px black , 0px -20px " + getblur + " " + getspread + " " + fix1hex + ", 0px 20px " + getblur + " " + getspread + " " + fix2hex + ", 20px 0px " + getblur + " " + getspread + " " + fix3hex + ", -20px 0px " + getblur + " " + getspread + " " + fix4hex + "", "");
	}
	
	window.requestAnimFrame(drawImage);	
}else{v.style.setProperty("box-shadow", "", "");}
}

// Fade engine
//  Variable for the fade in and out effect
var opacity = 0;

var ReducingFinished = true;
var OpacityLevelIncrement = 10;   //  Percentage value: 1-100

//  Function determines whether we show or hide the item referenced by ElementID
function fader(ActionToTake)
{
  DIVElementById = $('example2');
  if (ActionToTake == 'hide')
  { opacity = default_opacity; reduceOpacity(); }
  else if (ActionToTake == 'show')
  { increaseOpacity(); }
}

//  Makes div increase
function increaseOpacity()
{
DIVElementById.style.display = '';
  //  If opacity level is less than default_opacity, we can still increase the opacity
  if ((opacity < default_opacity) && (ReducingFinished == true))
  {
	if ((opacity > (default_opacity-10)) && (ReducingFinished == true)){
    ReducingFinished = true;
    opacity  += (default_opacity - opacity);
    DIVElementById.style.opacity = opacity/100;
	window.requestAnimFrame(increaseOpacity);
	}
	else {
    ReducingFinished = true;
    opacity  += OpacityLevelIncrement;
    DIVElementById.style.opacity = opacity/100;
	window.requestAnimFrame(increaseOpacity);
	}
  }
  else
  {
    ReducingFinished = false;
  }
}

//  Makes div reduce
function reduceOpacity() 
{
  //  If opacity level is greater than 0, we can still reduce the opacity
  if ((opacity > 0) && (ReducingFinished == false))
  {
    ReducingFinished = false;
    opacity  -= OpacityLevelIncrement;
    DIVElementById.style.opacity = opacity/100;
	window.requestAnimFrame(reduceOpacity);
  }
  else
  {
    ReducingFinished = true;

    //  When finished, make sure the DIVElementById is set to remove element
    if (DIVElementById.style.opacity = '0')
    {DIVElementById.style.display = 'none';}
  }
}

// Add a filter string to the list box.
function appendToListBox(boxId, text) { var elt = document.createElement("option"); elt.text = text; elt.value = text; $(boxId).add(elt, null); }

// tabel script
    var tabLinks = new Array();
    var contentDivs = new Array();
 
    function showTab() {
      var selectedId = getHash( this.getAttribute('onclick') );
 
      // Highlight the selected tab, and dim all others.
      // Also show the selected content div, and hide all others.
      for ( var id in contentDivs ) {
        if ( id == selectedId ) {
          tabLinks[id].className = 'navbar-item-selected';
          contentDivs[id].className = 'page';
        } else {
          tabLinks[id].className = 'navbar-item';
          contentDivs[id].className = 'page hidden';
        }
      }
 
      // Stop the browser following the link
      return false;
    }
 
    function getFirstChildWithTagName( element, tagName ) {
      for ( var i = 0; i < element.childNodes.length; i++ ) {
        if ( element.childNodes[i].nodeName == tagName ) return element.childNodes[i];
      }
    }
 
    function getHash( url ) {
      var hashPos = url.lastIndexOf ( '#' );
      return url.substring( hashPos + 1 );
    }

// whitelist eye domain
function addWhitelistDomain() {
    var domain = $("websiteurl").value;
    appendToListBox("excludedDomainsBox", domain);
    save_options();
}

function removeSelectedExcludedDomain() {
    var excludedDomainsBox = $("excludedDomainsBox");
    for (var i = excludedDomainsBox.length-1; i >= 0; i--) {
        if (excludedDomainsBox.options[i].selected)
            excludedDomainsBox.remove(i);
    }
    save_options();
}

// whitelist autoplay domain
function autoplayaddWhitelistDomain() {
    var domain = $("autoplaywebsiteurl").value;
    appendToListBox("autoplayDomainsBox", domain);
    save_options();
}

function autoplayremoveSelectedExcludedDomain() {
    var autoplayDomainsBox = $("autoplayDomainsBox");
    for (var i = autoplayDomainsBox.length-1; i >= 0; i--) {
        if (autoplayDomainsBox.options[i].selected)
            autoplayDomainsBox.remove(i);
    }
    save_options();
}

// fade effects control -> not when loaded page
function lightscontrol() {
var jump = $('interval').value;
default_opacity = jump;
var onoffrange = $('onoffrange'); // firefox fix
if(onoffrange.value == 0)
{
var fadeout = $('fadeout'); // firefox fix
var example2 = $('example2'); // firefox fix
if(fadeout.checked == true){ReducingFinished = false;fader('hide');}else{example2.style.opacity = 0;example2.style.display = 'none';}
}
else{
var fadein = $('fadein'); // firefox fix
var example2 = $('example2'); // firefox fix
if(fadein.checked == true){ReducingFinished = true;fader('show');}else{example2.style.opacity = jump/100;example2.style.display = '';}
}
}

// remove dynamic elements
function removedynamic(){
var newdynmaster = $("stefanvddynamicbackground");
var fishtanks = $('fishtanks');
if(fishtanks) {newdynmaster.removeChild(fishtanks);}
var blocks = $('blocks');
if(blocks) {newdynmaster.removeChild(blocks);}
var raindrops = $('raindrops');
if(raindrops) {newdynmaster.removeChild(raindrops);}
var clouds = $('clouds');
if(clouds) {newdynmaster.removeChild(clouds);}
var space = $('space');
if(space) {newdynmaster.removeChild(space);}
}

// test general
function test() {
 // firefox fix
var ambilight = $('ambilight');
var ambilightvarcolor = $('ambilightvarcolor');
var head = $('head');
var playlist = $('playlist');
var infobar = $('infobar');
var likebutton = $('likebutton');
var sharebutton = $('sharebutton');
var suggestions = $('suggestions');
var videoheadline = $('videoheadline');
var viewcount = $('viewcount');
var addvideobutton = $('addvideobutton');
var likebar = $('likebar');
var lightimagea = $('lightimagea');
var eyen = $('eyen');
var eyea = $('eyea');
var eyealist = $('eyealist');
var mousespotlighto = $('mousespotlighto');
var nighttime = $('nighttime');
var password = $('password');
var ecosaver = $('ecosaver');

if(ambilight.checked == true){
drawImage();
}
// show alert warning
if(ambilightvarcolor.checked == true)
{$('showwarningambilight').style.display = '';}
else{$('showwarningambilight').style.display = 'none';}

// YouTube preview sample
if(head.checked == true)
{$('samplechannel').style.zIndex = 100;$('samplechannel').style.position = 'relative';$('videochannel').style.zIndex = 100;$('videochannel').style.position = 'relative';}
else{$('samplechannel').style.zIndex = 1;$('samplechannel').style.position = 'relative';$('videochannel').style.zIndex = 1;$('videochannel').style.position = 'relative';}

if(playlist.checked == true){} // not visible in the preview
else{}

if(infobar.checked == true)
{$('sampleinforbar').style.zIndex = 100;$('sampleinforbar').style.position = 'relative';}
else{$('sampleinforbar').style.zIndex = 1;$('sampleinforbar').style.position = 'relative';}

if(likebutton.checked == true)
{$('sampledislikebutton').style.zIndex = 100;$('sampledislikebutton').style.position = 'relative';}
else{$('sampledislikebutton').style.zIndex = 1;$('sampledislikebutton').style.position = 'relative';}

if(sharebutton.checked == true)
{$('samplesharebutton').style.zIndex = 100;$('samplesharebutton').style.position = 'relative';}
else{$('samplesharebutton').style.zIndex = 1;$('samplesharebutton').style.position = 'relative';}

if(suggestions.checked == true)
{$('samplesug').style.zIndex = 100;$('samplesug').style.position = 'relative';}
else {$('samplesug').style.zIndex = 1;$('samplesug').style.position = 'relative';}

if(videoheadline.checked == true){$('sampletitle').style.zIndex = 100;$('sampletitle').style.position = 'relative';$('sampletitle').style.color = '#FFFFFF';}
else {$('sampletitle').style.zIndex = 1;$('sampletitle').style.position = 'relative';$('sampletitle').style.color = '#000000';}

if(viewcount.checked == true)
{$('sampleview').style.zIndex = 100;$('sampleview').style.color = 'white';$('sampleview').style.position = 'relative';}
else{$('sampleview').style.zIndex = 1;$('sampleview').style.color = 'black';$('sampleview').style.position = 'relative';}

if(addvideobutton.checked == true)
{$('sampleaddbutton').style.zIndex = 100;$('sampleaddbutton').style.position = 'relative';}
else{$('sampleaddbutton').style.zIndex = 1;$('sampleaddbutton').style.position = 'relative';}

if(likebar.checked == true)
{$('samplelikebar').style.zIndex = 101;$('samplelikebar').style.position = 'relative';}
else{$('samplelikebar').style.zIndex = 2;$('samplelikebar').style.position = 'relative';}

/* --- end YouTube preview --- */
if(ambilight.checked == true)
{$('arangespread').disabled = false;$('ambilightrangespreadradius').disabled = false;$('arangeblur').disabled = false;$('ambilightrangeblurradius').disabled = false;$('ambilightfixcolor').disabled = false;$('ambilightvarcolor').disabled = false;$('ambilightcolorhex').disabled = false;$('ambilight4color').disabled = false;$('ambilight1colorhex').disabled = false;$('ambilight2colorhex').disabled = false;$('ambilight3colorhex').disabled = false;$('ambilight4colorhex').disabled = false;}
else {$('arangespread').disabled = true;$('ambilightrangespreadradius').disabled = true;$('arangeblur').disabled = true;$('ambilightrangeblurradius').disabled = true;$('ambilightfixcolor').disabled = true;$('ambilightvarcolor').disabled = true;$('ambilightcolorhex').disabled = true;$('ambilight4color').disabled = true;$('ambilight1colorhex').disabled = true;$('ambilight2colorhex').disabled = true;$('ambilight3colorhex').disabled = true;$('ambilight4colorhex').disabled = true;}

if(lightimagea.checked == true)
{$('lightimagen').checked = false;$('example1').style.background = 'url(' + $('lightimage').value + ')';$('example1').style.backgroundSize = "100% 100%";$('example2').style.background = 'url(' + $('lightimage').value + ')';$('example2').style.backgroundSize = "100% 100%";$('lightimage').disabled = false;$('lightcolor').disabled = true;
$('mousespotlighta').disabled = true;$('mousespotlightc').disabled = true;$('mousespotlighto').checked = true;}
else{$('lightimagen').checked = true;$('example1').style.background = '#' + $('lightcolor').value;$('example2').style.background = '#' + $('lightcolor').value;$('lightimage').disabled = true;$('lightcolor').disabled = false;
$('mousespotlighta').disabled = false;$('mousespotlightc').disabled = false;}

if(eyen.checked == true){$('ecosaver').disabled = true;$('ecosavertime').disabled = true;$('confirmtimesaver').disabled = true;$('helpautoplay').style.display = "none";$('helpeyeprotection').style.display = "none";$('excludedDomainsBox').disabled = true;$('websiteurl').disabled = true;$('autoplay').disabled = false;$('addbutton').disabled = true;$('removebutton').disabled = true;$('nighttime').disabled = true;$('begintime').disabled = true;$('endtime').disabled = true;$('confirmtime').disabled = true;}
else if(eyea.checked == true){$('ecosaver').disabled = false;$('ecosavertime').disabled = false;$('confirmtimesaver').disabled = false;$('helpautoplay').style.display = "";$('helpeyeprotection').style.display = "";$('excludedDomainsBox').disabled = true;$('websiteurl').disabled = true;$('autoplay').checked = false;$('autoplay').disabled = true;$('addbutton').disabled = true;$('removebutton').disabled = true;$('nighttime').disabled = false;$('begintime').disabled = false;$('endtime').disabled = false;$('confirmtime').disabled = false;}
else if(eyealist.checked == true){$('ecosaver').disabled = false;$('ecosavertime').disabled = false;$('confirmtimesaver').disabled = false;$('helpautoplay').style.display = "";$('helpeyeprotection').style.display = "";$('excludedDomainsBox').disabled = false;$('websiteurl').disabled = false;$('autoplay').checked = false;$('autoplay').disabled = true;$('addbutton').disabled = false;$('removebutton').disabled = false;$('nighttime').disabled = false;$('begintime').disabled = false;$('endtime').disabled = false;$('confirmtime').disabled = false;}

if(mousespotlighto.checked == true)
{$('eastereggs').disabled = false;} // eastereggs OFF
else{$('eastereggs').disabled = true;$('eastereggs').checked = false;} // active box eastereggs

if(nighttime.checked == true)
{}
else{$('begintime').disabled = true;$('endtime').disabled = true;$('confirmtime').disabled = true;}

if(password.checked == true)
{$('enterpassword').disabled = false;$('confirmpassword').disabled = false;}
else{$('enterpassword').disabled = true;$('confirmpassword').disabled = true;}

if(ecosaver.checked == true)
{}
else{$('ecosavertime').disabled = true;$('confirmtimesaver').disabled = true;}

if(autoplayonly.checked == true)
{$('autoplayonly').checked = true;$('autoplayDomainsBox').disabled = false;$('autoplaywebsiteurl').disabled = false;$('autoplayaddbutton').disabled = false;$('autoplayremovebutton').disabled = false;}
else{$('autoplayonly').checked = false;$('autoplayDomainsBox').disabled = true;$('autoplaywebsiteurl').disabled = true;$('autoplayaddbutton').disabled = true;$('autoplayremovebutton').disabled = true;}

}

function dynamictest(){
var newdynmaster = $("stefanvddynamicbackground");
if(dynamic.checked == true){
if(dynamic1.checked == true){
removedynamic();
	var fishtanks = document.createElement("div");fishtanks.setAttribute('id','fishtanks');newdynmaster.appendChild(fishtanks);

	var newdynleft = document.createElement("div");newdynleft.setAttribute('class','stefanvddynamicbackgroundbubbleleft');fishtanks.appendChild(newdynleft);
	for(var i = 0; i < 5; i++ ){var newdyn = document.createElement("div");newdyn.setAttribute('class','stefanvddynamicbackgroundbubbles stefanvddynamicbubbles'+i+'');newdynleft.appendChild(newdyn);}
	var newdynmid = document.createElement("div");newdynmid.setAttribute('class','stefanvddynamicbackgroundbubblemid');fishtanks.appendChild(newdynmid);
	for(var i = 6; i < 10; i++ ){var newdyn = document.createElement("div");newdyn.setAttribute('class','stefanvddynamicbackgroundbubbles stefanvddynamicbubbles'+i+'');newdynmid.appendChild(newdyn);}			
	var newdynright = document.createElement("div");newdynright.setAttribute('class','stefanvddynamicbackgroundbubbleright');fishtanks.appendChild(newdynright);	
	for(var i = 11; i < 16; i++ ){var newdyn = document.createElement("div");newdyn.setAttribute('class','stefanvddynamicbackgroundbubbles stefanvddynamicbubbles'+i+'');newdynright.appendChild(newdyn);}					
}
else if(dynamic2.checked == true){
removedynamic();
	var blocks = document.createElement("div");blocks.setAttribute('id','blocks');newdynmaster.appendChild(blocks);

	var newdynleft = document.createElement("div");newdynleft.setAttribute('class','stefanvddynamicbackgroundblockleft');blocks.appendChild(newdynleft);
	for(var i = 1; i < 21; i++ ){var newdyn = document.createElement("div");newdyn.setAttribute('class','stefanvddynamicbackgroundblocks stefanvddynamicblocks'+i+'');newdynleft.appendChild(newdyn);}
}
else if(dynamic3.checked == true){
removedynamic();
	var raindrops = document.createElement("div");raindrops.setAttribute('id','raindrops');newdynmaster.appendChild(raindrops);

	var newdynleft = document.createElement("div");newdynleft.setAttribute('class','stefanvddynamicbackgroundblockleft');raindrops.appendChild(newdynleft);
	for(var i = 0; i < 15; i++ ){var newdyn = document.createElement("div");newdyn.setAttribute('class','stefanvddynamicbackgroundraindrups b'+i+'');newdynleft.appendChild(newdyn);}
}
else if(dynamic4.checked == true){
removedynamic();
	var clouds = document.createElement("div");clouds.setAttribute('id','clouds');newdynmaster.appendChild(clouds);
	var newdynworld = document.createElement("div");newdynworld.setAttribute('id','stefanvdworld');clouds.appendChild(newdynworld);			
(function() {
		var lastTime = 0;
		var vendors = ['ms', 'moz', 'webkit', 'o'];
		for(var x = 0; x < vendors.length && !window.requestAnimationFrame; ++x) {
			window.requestAnimationFrame = window[vendors[x]+'RequestAnimationFrame'];
			window.cancelRequestAnimationFrame = window[vendors[x]+'CancelRequestAnimationFrame'];
		}
		if (!window.requestAnimationFrame)
			window.requestAnimationFrame = function(callback, element) {
				var currTime = new Date().getTime();
				var timeToCall = Math.max(0, 16 - (currTime - lastTime));
				var id = window.setTimeout(function() { callback(currTime + timeToCall); }, 
				  timeToCall);
				lastTime = currTime + timeToCall;
				return id;
			};

		if (!window.cancelAnimationFrame)window.cancelAnimationFrame = function(id) {clearTimeout(id);};
	}())

	var layers = [],objects = [],world = document.getElementById('stefanvdworld'),viewport = document.getElementById('stefanvddynamicbackground'),	
	d = 0,p = 400,worldXAngle = 0,worldYAngle = 0;
	
	viewport.style.webkitPerspective = p;viewport.style.MozPerspective = p;viewport.style.oPerspective = p;
	
	function createCloud() {
		var div = document.createElement( 'div'  );
		div.className = 'stefanvdcloudBase';
		var x = 256 - ( Math.random() * 512 );
		var y = 256 - ( Math.random() * 512 );
		var z = 256 - ( Math.random() * 512 );
		var t = 'translateX(' + x + 'px) translateY(' + y + 'px) translateZ(' + z + 'px)';
		div.style.webkitTransform = t;div.style.MozTransform = t;div.style.oTransform = t;
		world.appendChild(div);
		
		for( var j = 0; j < 5 + Math.round( Math.random() * 10 ); j++ ) {
			var cloud = document.createElement('div');
			cloud.style.opacity = 0;
			cloud.style.opacity = .8;
			cloud.className = 'stefanvdcloudLayer';
			var x = 256 - ( Math.random() * 512 );
			var y = 256 - ( Math.random() * 512 );
			var z = 100 - ( Math.random() * 200 );
			var a = Math.random() * 360;;
			var s = .25 + Math.random();
			x *= .2; y *= .2;
			cloud.data = {x: x,y: y,z: z,a: a,s: s,speed: .1 * Math.random()};
			var t = 'translateX(' + x + 'px) translateY(' + y + 'px) translateZ(' + z + 'px) rotateZ(' + a + 'deg) scale(' + s + ')';
			cloud.style.webkitTransform = t;cloud.style.MozTransform = t;cloud.style.oTransform = t;
			div.appendChild(cloud);
			layers.push(cloud);
		}
		return div;
	}
	
	function generate() {
		objects = [];
		if (world.hasChildNodes()) {
			while ( world.childNodes.length >= 1 ) {world.removeChild(world.firstChild);} 
		}
		for(var j = 0; j < 5; j++) {objects.push(createCloud());}
	}
	generate();
		
	function updateView(){
		var t = 'translateZ(' + d + 'px) rotateX(' + worldXAngle + 'deg) rotateY(' + worldYAngle + 'deg)';
		world.style.webkitTransform = t;world.style.MozTransform = t;world.style.oTransform = t;}
	
	function update (){
		for( var j = 0; j < layers.length; j++ ) {
			var layer = layers[ j ];
			layer.data.a += layer.data.speed;
			var t = 'translateX(' + layer.data.x + 'px) translateY(' + layer.data.y + 'px) translateZ(' + layer.data.z + 'px) rotateY(' + ( - worldYAngle ) + 'deg) rotateX(' + ( - worldXAngle ) + 'deg) rotateZ(' + layer.data.a + 'deg) scale(' + layer.data.s + ')';
			layer.style.webkitTransform = t;layer.style.MozTransform = t;layer.style.oTransform = t;
		}
		requestAnimationFrame(update);
	}
	update();
}
else if(dynamic5.checked == true){
removedynamic();
if(hoveroptiondyn5.checked == true){
	var space = document.createElement("div");space.setAttribute('id','space');newdynmaster.appendChild(space);

	var newdynspaceworld = document.createElement("div");newdynspaceworld.setAttribute('id','stefanvddynamicspace');space.appendChild(newdynspaceworld);			
	for(var j = 1; j < 17; j++ ){
	if(j<=9){j="0"+j}
		var newdynpart1 = document.createElement("div");
		newdynpart1.setAttribute('id','p'+ j);newdynspaceworld.appendChild(newdynpart1);
		for(var i = 1; i < 31; i++ ){
		if(i<=9){i="0"+i}
		var newdynlow = document.createElement("b");newdynlow.setAttribute('class','s0'+i+'');newdynpart1.appendChild(newdynlow);
		}
	}
}else{
	var space = document.createElement("div");space.setAttribute('id','space');newdynmaster.appendChild(space);

	var newdynspaceworld = document.createElement("div");newdynspaceworld.setAttribute('id','stefanvddynamicspacenoflying');space.appendChild(newdynspaceworld);			
	for(var j = 1; j < 17; j++ ){
	if(j<=9){j="0"+j}
		var newdynpart1 = document.createElement("div");
		newdynpart1.setAttribute('id','np'+ j);newdynspaceworld.appendChild(newdynpart1);
		for(var i = 1; i < 31; i++ ){
		if(i<=9){i="0"+i}
		var newdynlow = document.createElement("b");newdynlow.setAttribute('class','ns0'+i+'');newdynpart1.appendChild(newdynlow);
		}
	}
}

}
}
}

// Current year
function yearnow() {
var today = new Date(); var y0 = today.getFullYear();$("yearnow").textContent = y0;
}

/* Option page body action */
// Read current value settings
window.addEventListener('load', function() {
read_options();
test();
dynamictest();
yearnow();
// Add the YouTube player
$("dont-turn-off-the-lights").src = "http://www.youtube.com/embed/?listType=playlist&list=PLF155F53B3D8D07CB";
// remove loading screen
$('loading').style.display = "none";
});

document.addEventListener('DOMContentLoaded', function () {

// Detect click / change to save the page and test it.
var inputs = document.querySelectorAll('input');
for (var i = 0; i < inputs.length; i++) {inputs[i].addEventListener('change', test);inputs[i].addEventListener('change', save_options);}

// Detect color change
$("lightcolor").addEventListener('change', function() {$('lightimagen').checked = true;$('example1').style.background = '#'+this.value;$('example2').style.background = '#'+this.value;save_options();});

// Detect image change
$("lightimage").addEventListener('change', function() {
function getImage(url) {
    var bkimage = new Image();
    bkimage.onload = function() {
	$('lightimagea').checked = true;
	$('example1').style.background = 'url(' + this.value + ')';
	$('example2').style.background = 'url(' + this.value + ')';
	save_options();
	};
    bkimage.onerror = function() {
	var optionwrongimg = chrome.i18n.getMessage('optionwrongimg');alert(optionwrongimg);
	$('lightimagea').checked = true;
	$('lightimage').value = 'http://turnoffthelights.googlecode.com/files/theater.jpg';
	$('example1').style.background = 'url(http://turnoffthelights.googlecode.com/files/theater.jpg)';
	$('example2').style.background = 'url(http://turnoffthelights.googlecode.com/files/theater.jpg)';
	save_options();	
	};
	bkimage.src = url;
}
getImage(this.value);
});

// Close yellow bar
$("managed-prefs-text-close").addEventListener('click', function() {$("managed-prefs-banner").style.display = "none";});

// Slider
$("slider").addEventListener('change', function() {showValue(this.value);save_options();});

// Interval
$("interval").addEventListener('change', function() {showValue(this.value);save_options();});

// Light switch
$("onoffrange").addEventListener('change', function() {lightscontrol();});

// Arangeblur
$("arangeblur").addEventListener('change', function() {showambilightblurValue(this.value);save_options();});
$("ambilightrangeblurradius").addEventListener('change', function() {showambilightblurValue(this.value);save_options();});

// Arangespread
$("arangespread").addEventListener('change', function() {showambilightspreadValue(this.value);save_options();});
$("ambilightrangespreadradius").addEventListener('change', function() {showambilightspreadValue(this.value);save_options();});

// Add website
$("addbutton").addEventListener('click', function() {addWhitelistDomain();});

// Remove website
$("removebutton").addEventListener('click', function() {removeSelectedExcludedDomain();});

// Save time
$("confirmtime").addEventListener('click', function() {save_options();var optiontimetemp = chrome.i18n.getMessage('optiontimesaved');alert(optiontimetemp);});

// Save password
$("confirmpassword").addEventListener('click', function() {save_options();var optionpastemp = chrome.i18n.getMessage('optionpasswordsaved');alert(optionpastemp);});

// Save KB download
$("tabbasic").addEventListener('click', function() {OFFworkaroundbugfromsafari();$('welcomeguide').src = "";});
$("tabvisual").addEventListener('click', function() {ONworkaroundbugfromsafari();$('welcomeguide').src = "";});
$("tabadvan").addEventListener('click', function() {ONworkaroundbugfromsafari();$('welcomeguide').src = "";});
$("tabguide").addEventListener('click', function() {ONworkaroundbugfromsafari();$('welcomeguide').src = "http://www.stefanvd.net/project/totlfirefoxguide.htm";$("managed-prefs-banner").style.display = "none";});

function ONworkaroundbugfromsafari(){$("dont-turn-off-the-lights").src = "";}
function OFFworkaroundbugfromsafari(){$("dont-turn-off-the-lights").src = "http://www.youtube.com/embed/?listType=playlist&list=PLF155F53B3D8D07CB";}

// Download Upgrade
$("aadownload").addEventListener('click', function() {window.open("https://addons.mozilla.org/en-US/firefox/addon/ambient-aurea/");});

// Save password
$("confirmtimesaver").addEventListener('click', function() {save_options();var optionpastemp = chrome.i18n.getMessage('optionecosaversaved');alert(optionpastemp);});

// Check screenshot
$("wallpaperhide").addEventListener('click', function() {$("imagegallery").style.display = "";$("wallpapershow").style.display = "";$("wallpaperhide").style.display = "none";});
$("wallpapershow").addEventListener('click', function() {$("imagegallery").style.display = "none";$("wallpapershow").style.display = "none";$("wallpaperhide").style.display = "";});
$("totlswallpaper5").addEventListener('click', function() {$("lightimage").value = "http://turnoffthelights.googlecode.com/files/totls5.jpg";test();save_options();});
$("totlswallpaper4").addEventListener('click', function() {$("lightimage").value = "http://turnoffthelights.googlecode.com/files/totls4.jpg";test();save_options();});
$("totlswallpaper3").addEventListener('click', function() {$("lightimage").value = "http://turnoffthelights.googlecode.com/files/totls3.jpg";test();save_options();});
$("totlswallpaper2").addEventListener('click', function() {$("lightimage").value = "http://turnoffthelights.googlecode.com/files/totls2.jpg";test();save_options();});
$("totlswallpaper1").addEventListener('click', function() {$("lightimage").value = "http://turnoffthelights.googlecode.com/files/theater.jpg";test();save_options();});

// dynamic test
$("dynamic").addEventListener('click', function() {if(dynamic.checked == true){dynamictest();$('lightdynamic').disabled = false;}else{removedynamic();$('lightdynamic').disabled = true;}});

// Check dynamic
$("dynamichide").addEventListener('click', function() {$("dynamicgallery").style.display = "";$("dynamicshow").style.display = "";$("dynamichide").style.display = "none";});
$("dynamicshow").addEventListener('click', function() {$("dynamicgallery").style.display = "none";$("dynamicshow").style.display = "none";$("dynamichide").style.display = "";});
$("totldynpaper5").addEventListener('click', function() {$("lightdynamic").value = chrome.i18n.getMessage('desdynamicspace');$('dynamic5').checked = true;dynamictest();save_options();});
$("totldynpaper4").addEventListener('click', function() {$("lightdynamic").value = chrome.i18n.getMessage('desdynamiccloud');$('dynamic4').checked = true;dynamictest();save_options();});
$("totldynpaper3").addEventListener('click', function() {$("lightdynamic").value = chrome.i18n.getMessage('desdynamicraindrops');$('dynamic3').checked = true;dynamictest();save_options();});
$("totldynpaper2").addEventListener('click', function() {$("lightdynamic").value = chrome.i18n.getMessage('desdynamicblocks');$('dynamic2').checked = true;dynamictest();save_options();});
$("totldynpaper1").addEventListener('click', function() {$("lightdynamic").value = chrome.i18n.getMessage('desdynamicfishtank');$('dynamic1').checked = true;dynamictest();save_options();});
$("hoveroptiondyn5").addEventListener('click', function() {$('dynamic5').checked = true;dynamictest();save_options();});

// Share button
$("productsharebutton").addEventListener('click', function() {
ONworkaroundbugfromsafari();$('sharebuttonspopup').src = "http://www.stefanvd.net/project/totlfirefoxshare.htm";$("sharepopup").style.display = "";
});

$("productsharebuttonclose").addEventListener('click', function() {
OFFworkaroundbugfromsafari();$('sharebuttonspopup').src = "";$("sharepopup").style.display = "none";
});

// autoplay Add website
$("autoplayaddbutton").addEventListener('click', function() {autoplayaddWhitelistDomain();});

// autoplay Remove website
$("autoplayremovebutton").addEventListener('click', function() {autoplayremoveSelectedExcludedDomain();});

// YouTube quality
$("youtubequality").addEventListener('click', function() {
save_options();
});

// Firefox sync settings
$("enablesync").addEventListener('click', function() {
var mustbesyncon;
	if($('enablesync').checked){mustbesyncon = true;}
	else{mustbesyncon = false;}
prefManager.setBoolPref("extensions.TurnOfftheLights.firstrun", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.interval", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.lightcolor", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.autoplay", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.playlist", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.flash", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.head", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.fadein", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.fadeout", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.infobar", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.sharebutton", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.likebutton", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.shortcutlight", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.suggestions", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.videoheadline", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.eastereggs", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.contextmenus", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.readerlargestyle", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.viewcount", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.lightimage", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.excludedDomains", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.nighttime", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.begintime", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.endtime", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.addvideobutton", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.likebar", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.password", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.enterpassword", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.lightimagea", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.lightimagen", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.readera", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.readern", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.eyea", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.eyen", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.eyealist", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.mousespotlighto", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.mousespotlightc", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.mousespotlighta", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.mousespotlightt", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.ambilight", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.ambilightfixcolor", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.ambilight4color", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.ambilightvarcolor", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.ambilightrangeblurradius", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.ambilightrangespreadradius", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.ambilightcolorhex", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.ambilight1colorhex", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.ambilight2colorhex", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.ambilight3colorhex", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.ambilight4colorhex", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.noflash", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.hardflash", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.ecosaver", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.ecosavertime", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.dynamic", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.dynamic1", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.dynamic2", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.dynamic3", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.dynamic4", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.dynamic5", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.hoveroptiondyn5", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.autoplayonly", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.autoplayDomains", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.blur", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.maxquality", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.autowidthyoutube", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.customqualityyoutube", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.cinemaontop", mustbesyncon);
prefManager.setBoolPref("extensions.TurnOfftheLights.alllightsoff", mustbesyncon);
});

});